Bug 122786 - Format Numbers dialog produces wrong format codes when un-/checking Red or Thousands; only gtk3
Summary: Format Numbers dialog produces wrong format codes when un-/checking Red or Th...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: high major
Assignee: Eike Rathke
URL:
Whiteboard: target:6.3.0 target:6.2.0 target:6.2.1
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-17 14:40 UTC by Eike Rathke
Modified: 2019-01-26 13:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2019-01-17 14:40:15 UTC
* in Calc open Format -> Cells..., tab Numbers (or hit Ctrl+1)
* from Category Number select third Format 0.00
* check "Negative numbers red"
  => Format code is #;[RED]-#
  should instead be 0.00;[RED]-0.00

Happens for all formats of categories where the Red or Thousands buttons are activated. Common behaviour is that only # integer format code is generated.

Only with the new gtk3 welded dialog, not with SAL_USE_VCLPLUGIN=gtk so probably also not on Windows.
Comment 1 Commit Notification 2019-01-17 18:05:12 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/af8d616fe7556716af8ccd4c4de7a68ae52ce2b7%5E%21

Resolves: tdf#122786 use weld::SpinButton::set_value() instead of set_text()

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2019-01-17 18:07:03 UTC
Pending review
https://gerrit.libreoffice.org/66546 for 6-2
https://gerrit.libreoffice.org/66547 for 6-2-0
Comment 3 Commit Notification 2019-01-18 12:32:26 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/ac513ca0e0731753823a8a2b27d692b01b804d01%5E%21

Related: tdf#122786 update value when spinbutton text explicitly set

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2019-01-20 10:39:02 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d997066759cc79d07097f28bc6a97b1f43da73e0%5E%21

Related: tdf#122786 but we don't want to reformat based on that new value

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-01-21 21:01:51 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-2-0":

https://git.libreoffice.org/core/+/609a2e9ab1372e361559daa7d2f2920f8278fdb6%5E%21

Resolves: tdf#122786 use weld::SpinButton::set_value() instead of set_text()

It will be available in 6.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2019-01-22 10:25:30 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/35f4219155e7efa0eee231a886a0df8f7dc9c42e%5E%21

Resolves: tdf#122786 use weld::SpinButton::set_value() instead of set_text()

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2019-01-25 08:26:10 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/a7037b4651a10a220eeae8d9e97dc6b97e506cc5%5E%21

Related: tdf#122786 update value when spinbutton text explicitly set

It will be available in 6.2.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 BogdanB 2019-01-26 13:19:23 UTC
It's 0.00;[RED]-0.00 now.

Verified on Version: 6.3.0.0.alpha0+
Build ID: 3424004cca7cb61043800f0ff0acc9de64768276
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-01-26_00:45:09
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
Calc: threaded